#!/bin/bash
#
# Collect data for Austin Team
#
SUT_name=vios
do_sut_info()
{
#mkdir -p System_Under_Test
#pushd $SUT_name

tar_files='/etc/hosts /etc/inittab /etc/netsvc.conf /etc/security/limits /etc/rc* /etc/security/limits /etc/tunables/lastboot /etc/tunables/nextboot'
hostname=`ssh $SUT_name hostname`

ssh $SUT_name	ifconfig en6 > ifconfig_en6.out
ssh $SUT_name	ifconfig en7 > ifconfig_en7.out
ssh $SUT_name	ifconfig -a > ifconfig.txt
ssh $SUT_name	lssrc -h $hostname -a > lssrc.out
ssh $SUT_name	lspath > lspath.out
ssh $SUT_name    netstat -in > netstat_in.out
ssh $SUT_name    netstat -m > netstat_m.out
ssh $SUT_name    netstat -v > netstat_v.out
ssh $SUT_name    netstat -s > netstat_s.out
ssh $SUT_name    netstat -r > netstat_r.out
ssh $SUT_name	 "cd /; tar chf - $tar_files" | tar xf -
ssh $SUT_name    /usr/sbin/mount > mount.out 2>&1
ssh $SUT_name    /usr/sbin/lssrad -av > lssrad_av.out 2>&1
ssh $SUT_name    /usr/sbin/lsrset -av > lsrset.out 2>&1

ssh $SUT_name    oslevel -s > oslevel.out 2>&1
ssh $SUT_name    lslpp -l all > lslpp_All.out 2>&1
ssh $SUT_name    cat /etc/security/limits > limits.out 2>&1
ssh $SUT_name    cat /etc/tunables/lastboot > tunables_lastboot.out 2>&1
ssh $SUT_name    cat /etc/tunables/nextboot > tunables_nextboot.out 2>&1
ssh $SUT_name    vmo -FL > tunable.out 2>&1
ssh $SUT_name    ioo -FL >> tunable.out 2>&1
ssh $SUT_name    schedo -FL >> tunable.out 2>&1
ssh $SUT_name    no -FL >> tunable.out 2>&1
ssh $SUT_name    nfso -FL >> tunable.out 2>&1

ssh $SUT_name    prtconf > prtconf.out 2>&1
ssh $SUT_name    lsfs -q > lsfs.out 2>&1
ssh $SUT_name    df -m > df.out 2>&1
ssh $SUT_name    lscfg -vp > lscfg.out 2>&1
ssh $SUT_name    lsdev -Cc adapter > lsdev_adapter.out 2>&1
ssh $SUT_name    lsdev -Cc disk > lsdev_disk.out 2>&1
ssh $SUT_name    lspv > lspv.out 2>&1
ssh $SUT_name    lparstat -i > lparstat.out 2>&1
ssh $SUT_name    vmstat -v > vmstat_v.out 2>&1
ssh $SUT_name    /usr/ios/cli/ioscli lsmap -all >lsmap.out 2>&1
num_tiles=15
mkdir -p VM_Configurations
pushd VM_Configurations >/dev/null

for tile in `seq 1 $num_tiles`; do
    zpt=`printf "%02d" $tile`
    for vmtype in web app db batch infra mail; do
        if [ "$vmtype" = "db" ]; then
            rest=$[$tile%4]
            if [ "$rest" != 1 ]; then
                continue
            fi
        fi
        case $vmtype in
            "web")
server=tile${tile}p1
echo "server" $server
ssh hscpe@perf2811.austin.ibm.com "lssyscfg -r lpar -m specvirttul2fsp --filter "lpar_names=$server"" > lpar_config_${server}_$vmtype
ssh hscpe@perf2811.austin.ibm.com "lssyscfg -r prof -m specvirttul2fsp --filter "lpar_names=$server","profile_names=normal"" > lpar_profile_${server}_$vmtype
            ;;
            "app")
server=tile${tile}p5
echo "server" $server
ssh hscpe@perf2811.austin.ibm.com "lssyscfg -r lpar -m specvirttul2fsp --filter "lpar_names=$server"" > lpar_config_${server}_$vmtype
ssh hscpe@perf2811.austin.ibm.com "lssyscfg -r prof -m specvirttul2fsp --filter "lpar_names=$server","profile_names=normal"" > lpar_profile_${server}_$vmtype
            ;;
            "db")
server=tile${tile}p6
echo "server" $server
ssh hscpe@perf2811.austin.ibm.com "lssyscfg -r lpar -m specvirttul2fsp --filter "lpar_names=$server"" > lpar_config_${server}_$vmtype
ssh hscpe@perf2811.austin.ibm.com "lssyscfg -r prof -m specvirttul2fsp --filter "lpar_names=$server","profile_names=normal"" > lpar_profile_${server}_$vmtype
            ;;
            "infra")
server=tile${tile}p2
echo "server" $server
ssh hscpe@perf2811.austin.ibm.com "lssyscfg -r lpar -m specvirttul2fsp --filter "lpar_names=$server"" > lpar_config_${server}_$vmtype
ssh hscpe@perf2811.austin.ibm.com "lssyscfg -r prof -m specvirttul2fsp --filter "lpar_names=$server","profile_names=normal"" > lpar_profile_${server}_$vmtype
            ;;
            "mail")
server=tile${tile}p3
echo "server" $server
ssh hscpe@perf2811.austin.ibm.com "lssyscfg -r lpar -m specvirttul2fsp --filter "lpar_names=$server"" > lpar_config_${server}_$vmtype
ssh hscpe@perf2811.austin.ibm.com "lssyscfg -r prof -m specvirttul2fsp --filter "lpar_names=$server","profile_names=normal"" > lpar_profile_${server}_$vmtype
            ;;
            "batch")
server=tile${tile}p4
echo "server" $server
ssh hscpe@perf2811.austin.ibm.com "lssyscfg -r lpar -m specvirttul2fsp --filter "lpar_names=$server"" > lpar_config_${server}_$vmtype
ssh hscpe@perf2811.austin.ibm.com "lssyscfg -r prof -m specvirttul2fsp --filter "lpar_names=$server","profile_names=normal"" > lpar_profile_${server}_$vmtype
            ;;
        esac
	done
done
ssh hscpe@perf2811.austin.ibm.com "lssyscfg -r lpar -m specvirttul2fsp --filter "lpar_names=VIOS1"" > lpar_config_vios
ssh hscpe@perf2811.austin.ibm.com "lssyscfg -r prof -m specvirttul2fsp --filter "lpar_names=VIOS1","profile_names=normal"" > lpar_profile_vios

popd >/dev/null
popd >/dev/null
}
do_sut_info
